def action3():
    raise ExceptionGroup('Nest*', [IndexError(1), TypeError(2), SyntaxError(3)])

def action2():
    try:
        action3()
    except* IndexError:        # Przetwarza dopasowane wyjątki, a resztę przekazuje
        print('Mam błąd indeksowania')

def action1():
    try:
        action2()
    except* TypeError:         # Przetwarza dopasowane wyjątki, a resztę przekazuje
        print('Mam błąd typu')

if __name__ == '__main__': action1()

